using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class produits : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        menu1.OnUrlValide += new menu.del_url_valide(Menu1_OnUrlValide);
    }

    void Menu1_OnUrlValide(string url)
    {
        lbl_url.Text = url;

        // la ligne suivante donne le même résultat
        lbl_url.Text = menu1.Url;
    }
}